# IceGrid::NodeDescriptor

## Overview

### struct NodeDescriptor

A node descriptor.

#### Used By

NodeDescriptorDict

## Data Member Index

variables
  The variables defined for the node.
serverInstances
  The server instances.
servers
  Servers (which are not template instances).
loadFactor
  Load factor of the node.
description
  The description of this node.
propertySets
  Property set descriptors.

## Data Members

[ "java:type:java.util.TreeMap<String, String>" ] StringStringDict variables;

  The variables defined for the node.

ServerInstanceDescriptorSeq serverInstances;

  The server instances.

ServerDescriptorSeq servers;

  Servers (which are not template instances).

string loadFactor;

  Load factor of the node.

string description;

  The description of this node.

PropertySetDescriptorDict propertySets;

  Property set descriptors.